unit scrolllabeltestunit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ExtCtrls, StdCtrls,
  ScrollLabelUnit;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit4: TEdit;
    Edit3: TEdit;
    Edit5: TEdit;
    Panel1: TPanel;
    ScrollLabel1: TScrollLabel;
    ScrollLabel2: TScrollLabel;
    ScrollLabel3: TScrollLabel;
    ScrollLabel4: TScrollLabel;
    ScrollLabel5: TScrollLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure Panel1Click(Sender: TObject);
    procedure ScrollLabel1IterationEnd(Sender: TObject);
    procedure ScrollLabel2IterationEnd(Sender: TObject);
    procedure ScrollLabel3IterationEnd(Sender: TObject);
    procedure ScrollLabel4IterationEnd(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
  ScrollLabel1.LabelText:=Edit1.Text;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
    ScrollLabel2.LabelText:=Edit2.Text;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
    ScrollLabel4.LabelText:=Edit4.Text;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
    ScrollLabel3.LabelText:=Edit3.Text;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   ScrollLabel1.startScrollIteration;
end;

procedure TForm1.Panel1Click(Sender: TObject);
begin

end;



procedure TForm1.ScrollLabel1IterationEnd(Sender: TObject);
begin
  ScrollLabel2.startScrollIteration;
end;

procedure TForm1.ScrollLabel2IterationEnd(Sender: TObject);
begin
  ScrollLabel3.startScrollIteration;
end;


procedure TForm1.ScrollLabel3IterationEnd(Sender: TObject);
begin
  ScrollLabel4.startScrollIteration;
end;

procedure TForm1.ScrollLabel4IterationEnd(Sender: TObject);
begin
  ScrollLabel1.startScrollIteration;
end;

end.

